//
//  touchMotionViewController.m
//  touchMotion
//
//  Created by Neil Smyth on 8/3/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import "touchMotionViewController.h"

@implementation touchMotionViewController
@synthesize xCoord, yCoord, startPoint;

- (void) touchesBegan:(NSSet *)touches 
            withEvent:(UIEvent *)event {
    UITouch *theTouch = [touches anyObject];
    startPoint = [theTouch locationInView:self.view];
    CGFloat x = startPoint.x;
    CGFloat y = startPoint.y;
    xCoord.text = [NSString stringWithFormat:@"x = %f", x];
    yCoord.text = [NSString stringWithFormat:@"y = %f", y];
}

- (void) touchesMoved:(NSSet *)touches 
            withEvent:(UIEvent *)event {
    UITouch *theTouch = [touches anyObject];
    CGPoint touchLocation = 
    [theTouch locationInView:self.view];
    CGFloat x = touchLocation.x;
    CGFloat y = touchLocation.y;
    xCoord.text = [NSString stringWithFormat:@"x = %f", x];
    yCoord.text = [NSString stringWithFormat:@"y = %f", y];
}

- (void) touchesEnded:(NSSet *)touches 
            withEvent:(UIEvent *)event {
    UITouch *theTouch = [touches anyObject];
    CGPoint endPoint = [theTouch locationInView:self.view];
    xCoord.text = [NSString stringWithFormat:
                   @"start = %f, %f", startPoint.x, startPoint.y];
    yCoord.text = [NSString stringWithFormat:
                   @"end = %f, %f", endPoint.x, endPoint.y];
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Release any cached data, images, etc that aren't in use.
}

#pragma mark - View lifecycle

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
}

- (void)viewDidUnload
{
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}

- (void)viewWillAppear:(BOOL)animated
{
    [super viewWillAppear:animated];
}

- (void)viewDidAppear:(BOOL)animated
{
    [super viewDidAppear:animated];
}

- (void)viewWillDisappear:(BOOL)animated
{
	[super viewWillDisappear:animated];
}

- (void)viewDidDisappear:(BOOL)animated
{
	[super viewDidDisappear:animated];
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    // Return YES for supported orientations
    return (interfaceOrientation != UIInterfaceOrientationPortraitUpsideDown);
}

@end
